log4shib 2.0.0

Static Public Member Functions | List of all members
log4shib::BasicConfigurator Class Reference

This class implements a trivial default configuration for log4shib: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category. More...

`#include <BasicConfigurator.hh>`

## Static Public Member Functions
static void | configure ()
| Performs a minimal configuration of log4shib. More...

## Detailed Description

This class implements a trivial default configuration for log4shib: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category.

Since
  0.3.2

## Member Function Documentation

## ◆ configure()

void log4shib::BasicConfigurator::configure | ( |  | ) |
| static

Performs a minimal configuration of log4shib.

The documentation for this class was generated from the following files:

- BasicConfigurator.hh
- BasicConfigurator.cpp